<p></p>
<h1 class="center-div">Sign in</h1>
<p-divider></p-divider>

<form
  (ngSubmit)="loginClick()"
  [formGroup]="formGroup"
>
  <div class="center-box-column">
    <app-text-input
      [controlName]="'login'"
      [errorKeys]="['required']"
      [labelValue]="'login'"
      [parentForm]="formGroup"
    ></app-text-input>


    <app-text-input
      [controlName]="'password'"
      [errorKeys]="['required']"
      [labelValue]="'password'"
      [parentForm]="formGroup"
      [isPassword]="true"
    ></app-text-input>

    <button
      class="p-button-raised p-button-success p-button-text"
      label="Login"
      pButton
      pRipple
      type="submit"></button>

  </div>
</form>
